package maratonacps2019_1;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Joquempo {

    public static void main(String[] args) {

        String linha = "";

        BufferedReader entrada;

        try {

            entrada = new BufferedReader(new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

                if (linha.equals("0")) {
                    break;
                }

                String temp[] = linha.split(" ");

                int n = Integer.parseInt(temp[0]);

                int joao = 0;
                int pedro = 0;

                for (int x = 0; x < n; x++) {
                    linha = entrada.readLine();
                    temp = linha.split(" ");
                    int ganhador = 0;
                    if (temp[1].equals("pedra")) {
                        if (temp[3].equals("tesoura")) {
                            ganhador = 0;
                        } else {
                            ganhador = 1;
                        }
                    } else if (temp[1].equals("papel")) {
                        if (temp[3].equals("pedra")) {
                            ganhador = 0;
                        } else {
                            ganhador = 1;
                        }
                    } else {
                        if (temp[3].equals("pedra")) {
                            ganhador = 1;
                        } else {
                            ganhador = 0;
                        }
                    }
                    
                    if(temp[0].equals("Pedro")){
                        if(ganhador==0){
                            pedro++;
                        }else{
                            joao++;
                        }
                    }else{
                        if(ganhador==0){
                            joao++;
                        }else{
                            pedro++;
                        }                        
                    }
                }
                
                if(joao==pedro){
                    System.out.println("Empate");
                }else{
                    System.out.println((joao>pedro?"Joao":"Pedro")+" "+(joao>pedro?joao:pedro));
                }
            }
        } catch (Exception e) {
            System.out.println("Ocorreu um erro durante a leitura!\n" + e);
        }
    }
}
